# rocketmake-typescript

This module provides typescript compilation services

The module exports a ts function (compiles ts/tsx files and outputs js)
and a dts function (compiles ts/tsx files and outputs one .d.ts per ts/tsx)

## Compile Typescript and Defintions

NOTE: you can pass the compile options as the last parameter, (In this example I have provided my own version of Typescript compiler)


```javascript
var typescript = require("typescript");
var rmTypescript = require("rocketmake-typescript");

gulp.task("compile-ts", function () {
  return rmTypescript.dts(
    "source/tsconfig.json", //path to tsconfig.json
    "lib", // output path
    {typescript: typescript} // compiler options
 );
});

gulp.task("compile-dts", function () {
  return rmTypescript.dts(
    "source/tsconfig.json", //path to tsconfig.json
    "dts", // output path
    {typescript: typescript} // compiler options
 );
});
```
